> ## Documentation Index
> Fetch the complete documentation index at: https://doc.allcomtelecom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Nova configuração Qualcomm QTS112

> Envia uma nova configuração qualcomm



## OpenAPI

````yaml PUT /tag/quallcomm/config/QTS112
openapi: 3.0.1
info:
  title: OpenAPI Auth Store
  description: API de exemplo para demonstração de autenticação e obtenção de tokens.
  license:
    name: Allcom Telecom
  version: 1.0.0
servers:
  - url: >-
      https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1
security: []
paths:
  /tag/quallcomm/config/QTS112:
    servers:
      - url: https://api.allcomtelecom.com/api:XUynQtIz
        description: Envia uma nova configuração Qualcomm QTS112
    put:
      description: Envia uma nova configuração qualcomm
      requestBody:
        description: Informações necessárias para enviar uma nova configuração.
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                token:
                  type: string
                  example: 20234397fs9vcd978qr308q9703cbfdbd9vuy07wrw97rq90qrw08
                config:
                  type: string
                  example:
                    deviceConfiguration:
                      isTracking: false
                      samplingFrequency: 10
                      reportingFrequency: 10
                      conditionalConfiguration:
                        mcdPowerOptimization:
                          active: true
                          powerOptimizedReportingFrequency: 240
                      devicePropertyConfiguration:
                        fmd:
                          isEnabled: true
                        mcd:
                          isEnabled: false
                        fall:
                          isEnabled: true
                        tilt:
                          maxValue: 180
                          isEnabled: false
                        light:
                          isEnabled: false
                        shock:
                          maxValue: 30
                          isEnabled: true
                        humidity:
                          maxValue: 100
                          minValue: 0
                          isEnabled: true
                          breachPersistenceTimeLimit: 5
                        location:
                          priority:
                            level1: GNSS
                            level2: WIFI
                            level3: CELL
                          isEnabled: true
                        pressure:
                          maxValue: 1260
                          minValue: 260
                          isEnabled: true
                          breachPersistenceTimeLimit: 10
                        temperature:
                          maxValue: 60
                          minValue: -20
                          isEnabled: true
                          breachPersistenceTimeLimit: 5
                        lightExposure:
                          type: continuous
                          isEnabled: true
                        powerSavingWhileOutOfService:
                          isEnabled: false
                tag_id:
                  type: string
                  example: f6b687e2-4231-4996-86db-adf7611dfcac
      responses:
        '200':
          description: Configurações enviadas com sucesso.
          content:
            application/json:
              schema:
                type: object
                properties:
                  Sucesso:
                    type: string
                    example:
                      token: 80e345ed-0db8-4217-b820-61ffd3592741
                      config:
                        deviceConfiguration:
                          isTracking: false
                          samplingFrequency: 10
                          reportingFrequency: 10
                          conditionalConfiguration:
                            mcdPowerOptimization:
                              active: true
                              powerOptimizedReportingFrequency: 240
                          devicePropertyConfiguration:
                            fmd:
                              isEnabled: true
                            mcd:
                              isEnabled: false
                            fall:
                              isEnabled: true
                            tilt:
                              maxValue: 180
                              isEnabled: false
                            light:
                              isEnabled: false
                            shock:
                              maxValue: 30
                              isEnabled: true
                            humidity:
                              maxValue: 100
                              minValue: 0
                              isEnabled: true
                              breachPersistenceTimeLimit: 5
                            location:
                              priority:
                                level1: GNSS
                                level2: WIFI
                                level3: CELL
                              isEnabled: true
                            pressure:
                              maxValue: 1260
                              minValue: 260
                              isEnabled: true
                              breachPersistenceTimeLimit: 10
                            temperature:
                              maxValue: 60
                              minValue: -20
                              isEnabled: true
                              breachPersistenceTimeLimit: 5
                            lightExposure:
                              type: continuous
                              isEnabled: true
                            powerSavingWhileOutOfService:
                              isEnabled: false
                      tag_id: f6b687e2-4231-4996-86db-adf7611dfcac
              example:
                token: 80e345ed-0db8-4217-b820-61ffd3592741
                config:
                  deviceConfiguration:
                    isTracking: false
                    samplingFrequency: 10
                    reportingFrequency: 10
                    conditionalConfiguration:
                      mcdPowerOptimization:
                        active: true
                        powerOptimizedReportingFrequency: 240
                    devicePropertyConfiguration:
                      fmd:
                        isEnabled: true
                      mcd:
                        isEnabled: false
                      fall:
                        isEnabled: true
                      tilt:
                        maxValue: 180
                        isEnabled: false
                      light:
                        isEnabled: false
                      shock:
                        maxValue: 30
                        isEnabled: true
                      humidity:
                        maxValue: 100
                        minValue: 0
                        isEnabled: true
                        breachPersistenceTimeLimit: 5
                      location:
                        priority:
                          level1: GNSS
                          level2: WIFI
                          level3: CELL
                        isEnabled: true
                      pressure:
                        maxValue: 1260
                        minValue: 260
                        isEnabled: true
                        breachPersistenceTimeLimit: 10
                      temperature:
                        maxValue: 60
                        minValue: -20
                        isEnabled: true
                        breachPersistenceTimeLimit: 5
                      lightExposure:
                        type: continuous
                        isEnabled: true
                      powerSavingWhileOutOfService:
                        isEnabled: false
                tag_id: f6b687e2-4231-4996-86db-adf7611dfcac
        '400':
          description: Requisição mal formada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Input Error. Check the request payload for issues.
              example:
                error: Input Error. Check the request payload for issues.
        '401':
          description: Requisição requer autenticação.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Unauthorized
              example:
                error: Requisição requer autenticação.
        '403':
          description: O acesso ao recurso foi negado.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: >-
                        Access denied. Additional privileges are needed access
                        the requested resource
              example:
                error: >-
                  Access denied. Additional privileges are needed access the
                  requested resource
        '404':
          description: URI de API/Recurso inexiste para processamento.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Not Found. The requested resource does not exist.
              example:
                error: Not Found. The requested resource does not exist.
        '429':
          description: >-
            Quando um usuário ultrapassa os limites provisionados de requisições
            para determinado endpoint, a API retornará código HTTP 429 “Too Many
            Requests”
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Rate Limited. Too many requests.
              example:
                error: Rate Limited. Too many requests.
        '500':
          description: Erro Interno do servidor.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Unexpected error
              example:
                error: Unexpected error

````